Check LeadForm TOS
curl --request POST \
--url https://public.plai.io/meta/check_leadform_tos \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/meta/check_leadform_tos"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/meta/check_leadform_tos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"hasAgreeToTos": true,
"error": "<string>"
}
}Lead Form
Check LeadForm TOS
This endpoint checks whether the user has accepted the Terms of Service for their connected facebook page. It is used to verify compliance before allowing actions such as advertising or lead form creation.
POST
/
meta
/
check_leadform_tos
Check LeadForm TOS
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).